#include "pulsePin.h"

RGBmatrixPanel matrix(A, B, C, CLK, LAT, OE, false);

void setup() {
  Serial.begin(9600); 
  matrix.begin();
}

void loop() {
  delay(10);
    
  char readChar;
  if( Serial.available() > 0)  {
     readChar = Serial.read();
     Serial.println(readChar);
  }
  else  {
     return;
  }

  bool doChange = true;
  unsigned long color = 0;
  if(readChar == 'r') {
     color = matrix.Color333(7, 0, 0);
  }
  else if(readChar == 'g') {
     color = matrix.Color333(0, 7, 0);
  }
  else if(readChar == 'b') {
     color = matrix.Color333(0, 0, 7);
  }
  else  {
     doChange = false;
  }
  
  if(doChange)  {
     matrix.fillRect(12, 4, 8, 8, color);
  }
}




